org.apache.olingo.odata2.api.edm.provider

## Class FunctionImport

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.FunctionImport

-     public class FunctionImport
      extends Object

  Objects of this class represent a function import

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionImport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `Documentation` | `getDocumentation()`
    `String` | `getEntitySet()`
    `String` | `getHttpMethod()`
    `Mapping` | `getMapping()`
    `String` | `getName()`
    `List<FunctionImportParameter>` | `getParameters()`
    `ReturnType` | `getReturnType()`
    `FunctionImport` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the collection of `AnnotationAttribute` for this `FunctionImport`
    `FunctionImport` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `FunctionImport`
    `FunctionImport` | `setDocumentation(Documentation documentation)` Sets the `Documentation`
    `FunctionImport` | `setEntitySet(String entitySet)` Sets the `EntitySet` of this `FunctionImport`
    `FunctionImport` | `setHttpMethod(String httpMethod)` Sets the HTTP method of this `FunctionImport`
    `FunctionImport` | `setMapping(Mapping mapping)` Sets the `Mapping`
    `FunctionImport` | `setName(String name)` Sets the name of this `FunctionImport`
    `FunctionImport` | `setParameters(List<FunctionImportParameter> parameters)` Sets the `FunctionImportParameter`s of this `FunctionImport`
    `FunctionImport` | `setReturnType(ReturnType returnType)` Sets the `ReturnType` of this `FunctionImport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionImport

          public FunctionImport()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        String name of this function import

    - #### getReturnType

          public ReturnType getReturnType()

      Returns:
        `ReturnType` of this function import

    - #### getEntitySet

          public String getEntitySet()

      Returns:
        String name of the entity set

    - #### getHttpMethod

          public String getHttpMethod()

      Returns:
        String name of the used HTTP method

    - #### getParameters

          public List<FunctionImportParameter> getParameters()

      Returns:
        List<`FunctionImportParameter`>s of this function import

    - #### getMapping

          public Mapping getMapping()

      Returns:
        `Mapping` for this type

    - #### getDocumentation

          public Documentation getDocumentation()

      Returns:
        `Documentation` documentation

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        collection of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        collection of `AnnotationElement` annotation elements

    - #### setName

          public FunctionImport setName(String name)

      Sets the name of this `FunctionImport`
      Parameters:
        `name` -
      Returns:
        `FunctionImport` for method chaining

    - #### setReturnType

          public FunctionImport setReturnType(ReturnType returnType)

      Sets the `ReturnType` of this `FunctionImport`
      Parameters:
        `returnType` -
      Returns:
        `FunctionImport` for method chaining

    - #### setEntitySet

          public FunctionImport setEntitySet(String entitySet)

      Sets the `EntitySet` of this `FunctionImport`
      Parameters:
        `entitySet` -
      Returns:
        `FunctionImport` for method chaining

    - #### setHttpMethod

          public FunctionImport setHttpMethod(String httpMethod)

      Sets the HTTP method of this `FunctionImport`
      Parameters:
        `httpMethod` -
      Returns:
        `FunctionImport` for method chaining

    - #### setParameters

          public FunctionImport setParameters(List<FunctionImportParameter> parameters)

      Sets the `FunctionImportParameter`s of this `FunctionImport`
      Parameters:
        `parameters` -
      Returns:
        `FunctionImport` for method chaining

    - #### setMapping

          public FunctionImport setMapping(Mapping mapping)

      Sets the `Mapping`
      Parameters:
        `mapping` -
      Returns:
        `FunctionImport` for method chaining

    - #### setDocumentation

          public FunctionImport setDocumentation(Documentation documentation)

      Sets the `Documentation`
      Parameters:
        `documentation` -
      Returns:
        `FunctionImport` for method chaining

    - #### setAnnotationAttributes

          public FunctionImport setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the collection of `AnnotationAttribute` for this `FunctionImport`
      Parameters:
        `annotationAttributes` -
      Returns:
        `FunctionImport` for method chaining

    - #### setAnnotationElements

          public FunctionImport setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `FunctionImport`
      Parameters:
        `annotationElements` -
      Returns:
        `FunctionImport` for method chaining

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.